NMBD(8)

NAME
nmbd - provide netbios nameserver support to clients

SYNOPSIS
nmbd [ -D ] [ -H netbios hosts file ] [ -d debuglevel ] [ -l log basename ] [ -n netbios name ] [ -p port number ] [ -s configuration file ]

DESCRIPTION
This program is part of the Samba suite. nmbd is a server that understands and can reply to netbios name service requests, like those produced by LanManager clients. It also controls browsing. LanManager clients, when they start up, may wish to locate a LanManager server. That is, they wish to know what IP number a specified host is using. This program simply listens for such requests, and if its own name is specified it will respond with the IP number of the host it is running on. Its "own name" is by default the name of the host it is running on, but this can be overriden with the -n option (see "OPTIONS" below). nmbd can also be used as a WINS (Windows Internet Name Server) server. What this basically means is that it will respond to all name requests that it receives that are not broadcasts, as long as it can resolve the name. Resolvable names include all names in the netbios hosts file (if any, see -H below), its own name, and any other names that it may have learned about from other browsers on the network. A change to previous versions is that nmbd will now no longer do this automatically by default.

OPTIONS
-B
    This option is obsolete. Please use the "interfaces" option in smb.conf instead.
-I
    This option is obsolete. Please use the "interfaces" option in smb.conf instead.
-D
    If specified, this parameter causes the server to operate as a daemon. That is, it detaches itself and runs in the background, fielding requests on the appropriate port. By default, the server will NOT operate as a daemon.
-C comment string
    This option is obsolete. Please use the "server string" option in smb.conf instead.
-G
    This option is obsolete. Please use the "workgroup" option in smb.conf instead.
-H netbios hosts file
    It may be useful in some situations to be able to specify a list of netbios names for which the server should send a reply if queried. This option allows you to specify a file containing such a list. The syntax of the hosts file is similar to the standard /etc/hosts file format, but has some extensions. The file contains three columns. Lines beginning with a # are ignored as comments. The first column is an IP address, or a hostname. If it is a hostname then it is interpreted as the IP address returned by gethostbyname() when read. An IP address of 0.0.0.0 will be interpreted as the server's own IP address. The second column is a netbios name. This is the name that the server will respond to. It must be less than 20 characters long. The third column is optional, and is intended for flags. Currently the only flag supported is M, which means that this name is the default netbios name for this machine. This has the same effect as specifying the -n option to nmbd. NOTE: The G and S flags are now obsolete and are replaced by the "interfaces" and "remote announce" options in smb.conf. The default hosts file name is set at compile time, typically as /etc/lmhosts, but this may be changed in the Samba Makefile. After startup the server waits for queries, and will answer queries for any name known to it. This includes all names in the netbios hosts file, its own name, and any other names it may have learned about from other browsers on the network. The primary intention of the -H option is to allow a mapping from netbios names to internet domain names. Example:
            # This is a sample netbios hosts file
            # DO NOT USE THIS FILE AS-IS
            # YOU MAY INCONVENIENCE THE OWNERS OF THESE IPs
            # if you want to include a name with a space in it then
            # use double quotes.
            # next add a netbios alias for a faraway host
            arvidsjaur.anu.edu.au ARVIDSJAUR
            # finally put in an IP for a hard to find host
            130.45.3.213 FREDDY
-N
    This option is obsolete. Please use the "interfaces" option in smb.conf instead.
-d debuglevel
    This option sets the debug level. See smb.conf(5).
-l log file
    The log file parameter specifies a path and base filename into which operational data from the running nmbd server will be logged. The actual log file name is generated by appending the extension ".nmb" to the specified base name. For example, if the name specified was "log" then the file log.nmb would contain the debugging data. The default log file is specified at compile time, typically as /var/log/log.nmb.
-n netbios name
    This option allows you to override the Netbios name that Samba uses for itself.
-a
    If this parameter is specified, the log files will be appended to with each new connection. By default, the log files will be overwritten.
-p port number
    port number is a positive integer value. Don't use this option unless you are an expert, in which case you won't need help!
-s configuration file
    The default configuration file name is set at compile time, typically as /etc/smb.conf, but this may be changed in the Samba Makefile. The file specified contains the configuration details required by the server. See smb.conf(5) for more information.

SIGNALS
In version 1.9.18 and above, nmbd will accept SIGHUP, which will cause it to dump out it's namelists into the file namelist.debug in the SAMBA/var/locks directory. This will also cause nmbd to dump out it's server database in the log.nmb file. Also new in version 1.9.18 and above is the ability to raise the debug log level of nmbd by sending it a SIGUSR1 (kill -USR1 <nmbd-pid>) and to lower the nmbd log level by sending it a SIGUSR2 (kill -USR2 <nmbd-pid>). This is to allow transient problems to be diagnosed, whilst still running at a normally low log level.

VERSION
This man page is (mostly) correct for version 1.9.16 of the Samba suite, plus some of the recent patches to it. These notes will necessarily lag behind development of the software, so it is possible that your version of the server has extensions or parameter semantics that differ from or are not covered by this man page. Please notify these to the address below for rectification.

SEE ALSO
inetd(8), smbd(8), smb.conf(5), smbclient(1), testparm(1), testprns(1)

CREDITS
The original Samba software and related utilities were created by Andrew Tridgell (samba-bugs@samba.anu.edu.au). Andrew is also the Keeper of the Source for this project.